const ИМЯ_МОДУЛЯ_РЕСУРСОВ = "Ресурсы Маджонга | Mahjong resources";

// // // //


УведомитьОЗагрузкеРесурсовСцены = мир =>
{
    мир.уведомить("загрузили ресурсы сцены");
};


// // // //


ЗагрузитьВыбраннуюРаскладку = мир =>
{
    var детали = мир.реестрРаскладок[мир.выбраннаяРаскладка];
    var модуль = мир.модули.модульПоИмени(детали["🗿"]);
    var содержимое = модуль.содержимое[детали["📁"]];
    мир.раскладкаKMahjongg = {
        "содержимое": содержимое,
    };
};


// // // //


ЗагрузитьФишку = мир =>
{
    var модуль = мир.модули.модульПоИмени(ИМЯ_МОДУЛЯ_РЕСУРСОВ);
    var ресурс = "/фишка.gltf";
    var адрес = `${window.location.origin}${ресурс}`;
    THREE.Cache.enabled = true;
    THREE.Cache.add(адрес, модуль.содержимое[ресурс]);
    мир.загрузчикGLTF.load(
        адрес,
        function(gltf) {
            // Вычленяем Mesh.
            gltf.scene.traverse(function(ребёнок) {
                if (ребёнок.isMesh)
                {
                    мир.фишка = ребёнок;
                }
            });
            мир.уведомить("загрузили фишку");
        },
        null,
        function(error) {
            console.error("ОШИБКА | ERROR", error);
        }
    );
};

